<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
*
* @File: 		functions.php
* @Package:		GetSimple
* @Action:		Club Theme for GetSimple CMS
*
* Author: Michael Lindahl
* Website: http://clubtheme.michaellindahl.com
* copywrite 2012 Michael Lindahl
*
*****************************************************/


/**
 * Club Theme Settings
 *
 * This defines variables based on the theme plugin's settings
 *
 * @return bool
 */
function Club_Theme_Settings() {
	$file = GSDATAOTHERPATH . 'ClubThemeSettings.xml';
	if (file_exists($file)) {
		$p = getXML($file);
		if ($p->facebook != '' ) define('FACEBOOK', $p->facebook);
		if ($p->twitter != '' ) define('TWITTER', $p->twitter);
		if ($p->linkedin != '' ) define('LINKEDIN', $p->linkedin);
		if ($p->googleplus != '' ) define('GOOGLEPLUS', $p->googleplus);
		if ($p->footertext != '' ) define('FOOTERTEXT', $p->footertext);
		if ($p->footerseperator != '' ) define('FOOTERSEPERATOR', $p->footerseperator);
		if ($p->themecolor != '' ) define('THEMECOLOR', $p->themecolor);
		return true;
	} else {
		return false;
	}
}


/**
 * Component Exists
 *
 * Tells if a component exists, or has been defined.
 *
 * @return bool
 */
if (!function_exists('component_exists')) {
    function component_exists($id) {
        global $components;
        if (!$components) {
             if (file_exists(GSDATAOTHERPATH.'components.xml')) {
                $data = getXML(GSDATAOTHERPATH.'components.xml');
                $components = $data->item;
            } else {
                $components = array();
            }
        }
        $exists = FALSE;
        if (count($components) > 0) {
            foreach ($components as $component) {
                if ($id == $component->slug) {
                    $exists = TRUE;
                    break;
                }
            }
        }
        return $exists;
    }
}
?>

