<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
*
* @File: 		header.inc.php
* @Package:		GetSimple
* @Action:		Club Theme for GetSimple CMS
*
* Author: Michael Lindahl
* Website: http://clubtheme.michaellindahl.com
* copywrite 2012 Michael Lindahl
*
*****************************************************/
# Get this theme's settings based on what was entered within it's plugin. 
# This function is in functions.php 
Club_Theme_Settings();
?>

<!Doctype HTML>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title><?php get_page_clean_title(); ?> - <?php get_site_name(); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta charset="utf-8">
	<link href="<?php get_theme_url(); ?>/style.css" rel="stylesheet" type="text/css">
	<?php if (defined('THEMECOLOR')) { ?>
		<style>
		<?php
		if (function_exists(brightenColor)) {
			echo "h1, h2, h3, h4, h5, h6 {color: ".brightenColor(THEMECOLOR, -.8).";}";
			echo ".arrows{color: ".brightenColor(THEMECOLOR, -.8).";}";
			echo ".footer{border-color: ".brightenColor(THEMECOLOR, -.8).";}";
		} else {
			echo "h1, h2, h3, h4, h5, h6 {color: ".THEMECOLOR.";}";
			echo ".arrows{color: ".THEMECOLOR.";}";
			echo ".footer{border-color: ".THEMECOLOR.";}";
		}
		?>
		.linkbar {background-color:<?php echo THEMECOLOR; ?>;}
		.linkbar a {
		<?php 
		if (function_exists(get_brightness)) {if (get_brightness(THEMECOLOR) > 130) echo 'color:black;'; else echo 'color:white;'; }
		?>	
		}
		</style>
		
	<?php } ?>
	<meta name="viewport" content="width=479;" />
	<?php get_header(); ?>
</head>
<body>
	<div id="bodydiv">
		<div class="linkbar">	
			<?php get_navigation(return_page_slug()); ?>
		</div>
					<?php if (isset($_COOKIE['GS_ADMIN_USERNAME'])) {echo '<div style="white-space:nowrap;margin:0px 20px 10px;padding: 4px 20px;float:right;display:block;border:1px solid #555;background:#dedede;" ><a href="/admin/edit.php?id='.return_page_slug().'" style="color:#555;text-decoration:none;">Edit Page</a>'; if (function_exists('return_hitcount_hits')) { echo '<p style="margin: 0px; float:right; color: gray;">'.return_hitcount_hits(return_page_slug()).' Views - </p>';}echo'</div><span style="clear:both;display: block;"></span>';} ?>

		
	<span id="header">
		<?php 		
		if (file_exists(GSTHEMESPATH.$TEMPLATE.'/images/logo.png')): ?>
		<img src="<?php get_theme_url(); ?>/img/logo.png" alt="" class="headerLogo"> <?php endif; ?>
		<h1 class="headertitle"><?php get_site_name(); ?></h1>
		<h2 class="headerslogan"><?php get_component('tagline'); ?></h2>
		<?php 	
		if (file_exists(GSTHEMESPATH.$TEMPLATE.'/images/header-'.return_page_slug().'.png')) {
		echo '<img src="'.get_theme_url($echo).'/images/header-'.return_page_slug().'.png" alt="" class="header">';
		} else if (file_exists(GSTHEMESPATH.$TEMPLATE.'/images/header.png')) {
		echo '<img src="'.get_theme_url($echo).'/images/header.png" alt="" class="header">';
		}?>
			
	</span>